Subject: min and max table column keywords

From: pence at tetra.gsfc.nasa.gov (William Pence)
Date: Fri, 30 Jul 93 14:16:00 EDT

Here within the OGIP/HEASARC we have a need to define a pair of standard
FITS header keywords to give the minimum and maximum values contained
within a column in a FITS table.  These keywords would be analogous to
the DATAMIN and DATAMAX keywords which are defined for use with
FITS images.   An obvious choice of names for these new keywords would
be:

TDMINnnn =  0.0    / the actual minimum value contained in column nnn of the table
TDMAXnnn = 1000.   / the actual maximum value contained in column nnn of the table

Does anyone have any comment on these keyword names?  Or has an alternative
keyword already been proposed and/or used for this purpose?

Similarly, we need to define a pair of keywords which give the minimum
and maximum _legal_ value for the numbers in a column.  For example, a
table column containing the X coordinate of a list of detected photon
in an image may have legal values from 0 - 255 inclusive.  A good
keyword name for this purpose is less obvious, but the following pair
of keywords has been suggested:

TAMINnnn =   0.0   / the smallest possible value for column nnn of the table
TAMAXnnn = 255.0   / the largest possible value for column nnn of the table

Note that the 'A' in 'TAMIN' and 'TAMAX' is intended to represent 'Axis'.

Again, does anyone have any comment on this choice of keyword names?
The OGIP FITS Panel will be considering this issue at it's next
meeting on Wed., Aug. 4, so replies before then would be most helpful.